Subject: bug#58721: 28.2; dired with delete-by-moving-to-trash can't trash directory twice

From: Eli Zaretskii <[email-masked]>
Date: Sun, 30 Oct 2022 21:51:18 +0200

> From: Mike Kupfer <[email-masked]>
> cc: [email-masked], [email-masked]
> Date: Sun, 30 Oct 2022 11:18:29 -0700
> 
> Eli Zaretskii wrote:
> 
> > Looks good, but maybe add to the comment the reason _why_ we don't use
> > rename-file for directories.  You explained _what_ we do, but not
> > _why_.
> 
> Do you mean something like
> 
> -----8<-----8<-----
> Fix cross-filesystem directory trashing (Bug#58721)
> 
> * lisp/files.el (move-file-to-trash): When trashing a directory,
> copy it into the trash folder and then delete it, rather than
> using rename-file.  rename-file can only be used when the
> to-be-trashed directory and the trashcan live in the same filesystem;
> this approach handles both that case and the different-filesystem case.
> ----->8----->8-----

I meant in the code, not the log message, and I meant to tell more
detail.

But never mind, I can always add it later myself.